Subject: Re: bug#61712: 30.0.50; Want way to generate VC log for arbitrary list of files

From: Juri Linkov <[email-masked]>
Date: Thu, 23 Feb 2023 19:59:05 +0200

> How could you know, when this important feature was almost completely
> undocumented?  Apart of a single NEWS entry, which is also quite
> misleading in what it does NOT say, there was no mention of this
> anywhere in our manuals, until now.

Adding text for such a minor feature as using Dired for VC commands
to the top node "Version Control" makes it too long.
Even a major feature of using VC Directory Mode is described
much later in the manual.  So better would be to explain Dired support
somewhere near the node "VC Directory Mode".

> Btw, shouldn't we show the VC information in the mode line of a Dired
> buffer that displays a directory under VCS?  Since all VC commands now
> work in such a buffer, this is very similar to showing a file under
> VCS, so the omission doesn't sound right to me.

I never noticed this omission, but adding the same mode-line string
as in regular file buffers makes sense.